# ionoscloud\_ipblock

Manages **IP Blocks** on IONOS CLOUD. IP Blocks contain reserved public IP addresses that can be assigned servers or other resources.

## Example Usage

```hcl
resource "ionoscloud_ipblock" "example" {
  location  = "us/las"
  size      = 1
  name      = "IP Block Example"
}
```

## Argument reference

* `name` - (Optional)\[string] The name of Ip Block
* `location` - (Required)\[string] The regional location for this IP Block: us/las, us/ewr, de/fra, de/fkb.
* `size` - (Required)\[integer] The number of IP addresses to reserve for this block.
* `ips` - (Computed)\[integer] The list of IP addresses associated with this block.
* `ip_consumers` (Computed) Read-Only attribute. Lists consumption detail of an individual ip
  * `ip`
  * `mac`
  * `nic_uuid`
  * `server_id`
  * `server_name`
  * `datacenter_id`
  * `datacenter_name`
  * `k8s_nodepool_uuid`
  * `k8s_cluster_uuid`

## Import

Resource Ipblock can be imported using the `resource id`, e.g.

```shell
terraform import ionoscloud_ipblock.myipblock ipblock uuid
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/terraform-provider/resources/ipblock.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
